package xyz.thastertyn.Types;

/**
 * Wrapper around credentials with the change of having a boolean for whether the user wants to save the credentials or not
 */
public class InputtedCredentials extends Credentials {

	private boolean save;
	
	public InputtedCredentials(String username, String password, boolean save)
	{
		super(username, password);
		this.save = save;
	}

	public InputtedCredentials(Credentials credentials, boolean save)
	{
		super(credentials.getUsername(), credentials.getPassword());
		this.save = save;
	}

	public Credentials getCredentials()
	{
		return new Credentials(getUsername(), getPassword());
	}

	public boolean save() {
		return save;
	}
}
